Bug 197361 - [NEW PORT] net/dhcpd: OpenBSD dhcp daemon
Summary: [NEW PORT] net/dhcpd: OpenBSD dhcp daemon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-06 10:09 UTC by Nikola Kolev
Modified: 2015-12-06 09:52 UTC (History)
2 users (show)

See Also:


Attachments
dhcpd (2.82 KB, text/plain)
2015-02-06 10:09 UTC, Nikola Kolev
no flags Details
dhcpd 5.8.20151202 (2.78 KB, text/plain)
2015-12-04 09:15 UTC, Nikola Kolev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2015-02-06 10:09:27 UTC
Created attachment 152605 [details]
dhcpd

FreeBSD port of OpenBSD dhcpd

% portlint 
WARN: Conflict "isc-dhcp4[1-3]-server*" specified too broad. You should end it with a version number fragment (-[0-9]*).
0 fatal errors and 1 warning found.

Please check if conflict declaration is OK.

% make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

% make stage-qa
====> Running Q/A tests (stage-qa)

http://chaosophia.net/poudriere/dhcpd-5.6.20150203-101x386.log
http://chaosophia.net/poudriere/dhcpd-5.6.20150203-101x64.log
http://chaosophia.net/poudriere/dhcpd-5.6.20150203-10x386.log
http://chaosophia.net/poudriere/dhcpd-5.6.20150203-10x64.log
http://chaosophia.net/poudriere/dhcpd-5.6.20150203-84x386.log
http://chaosophia.net/poudriere/dhcpd-5.6.20150203-84x64.log
http://chaosophia.net/poudriere/dhcpd-5.6.20150203-93x386.log
http://chaosophia.net/poudriere/dhcpd-5.6.20150203-93x64.log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 09:17:27 UTC
@Nikola: net/dhcpd already exists: https://www.freshports.org/net/dhcpcd/
Comment 3 Nikola Kolev 2015-12-04 09:38:28 UTC
@Kubilay: dhcpcd != dhcpd
Comment 4 Kurt Jaeger freebsd_committer 2015-12-06 09:49:22 UTC
Testbuilds fine on 11a, 10.2a+i, 9.3a.
Comment 5 commit-hook freebsd_committer 2015-12-06 09:51:39 UTC
A commit references this bug:

Author: pi
Date: Sun Dec  6 09:50:49 UTC 2015
New revision: 403095
URL: https://svnweb.freebsd.org/changeset/ports/403095

Log:
  New port: net/dhcpd

  This is the FreeBSD port of the OpenBSD dhcpd.

  The Dynamic Host Configuration Protocol (DHCP) is a standardized
  network protocol used on Internet Protocol (IP) networks for dynamically
  distributing network configuration parameters, such as IP addresses for
  interfaces and services.

  WWW: https://github.com/koue/dhcpd

  PR:		197361
  Submitted by:	Nikola Kolev <koue@chaosophia.net>

Changes:
  head/net/Makefile
  head/net/dhcpd/
  head/net/dhcpd/Makefile
  head/net/dhcpd/distinfo
  head/net/dhcpd/files/
  head/net/dhcpd/files/dhcpd.in
  head/net/dhcpd/pkg-descr
  head/net/dhcpd/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2015-12-06 09:52:31 UTC
Committed, thanks.